/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/* read_header.h
 *
 * $Id: read.h,v 1.3 2000/03/07 15:06:56 goldbach Exp $
 *
 * $Log: read.h,v $
 * Revision 1.3  2000/03/07 15:06:56  goldbach
 * added GPL info
 *
 * Revision 1.2  2000/03/01 17:43:57  goldbach
 * introduced some constants for read and copy-pkts
 *
 * Revision 1.1  1999/05/12 16:04:24  goldbach
 * major clean-up session
 *
 * Revision 1.2  1999/03/30 12:30:08  goldbach
 * 1st surfable version
 *
 * Revision 1.1  1999/02/18 14:40:03  gellert
 * prototype for read_header.
 *
 *
 */

#include "mythreads.h"

#define READ_OK 0
#define READ_SOCKET_ERROR 1
#define READ_EOF 2
#define READ_NO_END_OF_HEADER 3


int read_client_header(TCT *tct);
int read_server_header(TCT *tct);

int read_client_body(TCT *tct);
int read_server_body(TCT *tct);
